cgSetStateCallbacks(3)

NAME
cgSetStateCallbacks - registers the callback functions for a state assignment

SYNOPSIS
  #include <Cg/cg.h>
  void cgSetStateCallbacks( CGstate state,
                            CGstatecallback set,
                            CGstatecallback reset,
                            CGstatecallback validate );

PARAMETERS

state
    The state handle.

set The pointer to the callback function to call for setting the state of state assignments based on state. This may be a NULL pointer.

reset
    The pointer to the callback function to call for resetting the state of state assignments based on state. This may be a NULL pointer.

validate
    The pointer to the callback function to call for validating the state of state assignments based on state. This may be a NULL pointer.

RETURN VALUES
None.

DESCRIPTION
cgSetStateCallbacks sets the three callback functions for a state definition. These functions are later called when the state a particular state assignment based on this state must be set, reset, or validated. Any of the callback functions may be specified as NULL.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_HANDLE_ERROR is generated if state is not a valid state.

HISTORY
cgSetStateCallbacks was introduced in Cg 1.4.

SEE ALSO
the cgSetPassState manpage, the cgCallStateSetCallback manpage, the cgCallStateResetCallback manpage, the cgCallStateValidateCallback manpage, the cgValidateTechnique manpage